summaryrefslogtreecommitdiff
path: root/jwst_tools
diff options
context:
space:
mode:
Diffstat (limited to 'jwst_tools')
-rw-r--r--jwst_tools/build.sh8
-rw-r--r--jwst_tools/meta.yaml14
2 files changed, 18 insertions, 4 deletions
diff --git a/jwst_tools/build.sh b/jwst_tools/build.sh
index 1883596..dc3b810 100644
--- a/jwst_tools/build.sh
+++ b/jwst_tools/build.sh
@@ -5,5 +5,9 @@ rm -rf jwst_tools/timeconversion
for d in jwst_tools/*
do
-( cd $d && python setup.py install || exit 1 )
-done \ No newline at end of file
+ if [[ $d == *spectools* ]]; then
+ # Indentation errors in package
+ continue
+ fi
+ ( cd $d && python setup.py install || exit 1 )
+done
diff --git a/jwst_tools/meta.yaml b/jwst_tools/meta.yaml
index ed1178f..3c53684 100644
--- a/jwst_tools/meta.yaml
+++ b/jwst_tools/meta.yaml
@@ -18,15 +18,25 @@ requirements:
build:
- d2to1
- astropy >=1.1
+ - jwst_lib
+ - matplotlib
+ - nose
+ - scipy
+ - six
- stsci.distutils
- stsci.tools
- - numpy x.x
- setuptools
+ - numpy x.x
- python x.x
run:
- astropy >=1.1
- - numpy x.x
+ - jwst_lib
+ - matplotlib
+ - nose
+ - scipy
+ - six
- stsci.tools
+ - numpy x.x
- python x.x
source:
git_url: ssh://git@bitbucket.org/stsci_ssb/jwst.git